View Issue Details

IDProjectCategoryView StatusLast Update
0007122Talerdocumentationpublic2021-12-15 08:54
ReporterAntoine A Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007122: clarify Timestamp precision
DescriptionBased on the current documentation (https://docs.taler.net/core/api-common.html#tsref-type-Timestamp), timestamp consists of milliseconds since epoch or the special value 'never'. In practice, taler-exchange-wire-gateway-client refuse timestamps that are not rounded to second as a protocol violation, this behavior needs to be clarified.
TagsNo tags attached.

Activities

Christian Grothoff

2021-12-15 08:54

manager   ~0018572

Latest code moves all the JSON absolute time objects to timestamps with t_s instead of t_ms. Also modifies relative time (in the very few places where it exists) to microseconds.

Issue History

Date Modified Username Field Change
2021-12-09 12:52 Antoine A New Issue
2021-12-09 12:52 Antoine A Status new => assigned
2021-12-09 12:52 Antoine A Assigned To => Stefan
2021-12-11 19:50 Christian Grothoff Assigned To Stefan => Christian Grothoff
2021-12-15 08:54 Christian Grothoff Status assigned => resolved
2021-12-15 08:54 Christian Grothoff Resolution open => fixed
2021-12-15 08:54 Christian Grothoff Fixed in Version => 0.9
2021-12-15 08:54 Christian Grothoff Note Added: 0018572
2021-12-15 08:54 Christian Grothoff Product Version => git (master)
2021-12-15 08:54 Christian Grothoff Target Version => 0.9